Bug 1122627 - Drop vdsm hack for USB keyboard on POWER guests
Summary: Drop vdsm hack for USB keyboard on POWER guests
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: General
Version: 4.17.8
Hardware: ppc64
OS: Linux
high
low vote
Target Milestone: ovirt-3.6.0-rc
: 4.17.8
Assignee: Martin Polednik
QA Contact: sefi litmanovich
URL:
Whiteboard: virt
Depends On: 988070
Blocks: 1122979 RHEV3.6PPC
TreeView+ depends on / blocked
 
Reported: 2014-07-23 16:24 UTC by Dan Kenigsberg
Modified: 2016-02-21 10:55 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 988070
Environment:
Last Closed: 2015-12-22 13:27:43 UTC
oVirt Team: Virt
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 33871 master MERGED virt: Remove QEMU passthrough hack in ppc64 Never
oVirt gerrit 46265 ovirt-3.6 MERGED virt: Remove QEMU passthrough hack in ppc64 Never

Description Dan Kenigsberg 2014-07-23 16:24:25 UTC
+++ This bug was initially created as a clone of Bug #988070 +++

Description of problem:
A simple description of a emulated PPC64 in a domain XML doesn't create a virtual keyboard.

Version-Release number of selected component (if applicable):
1.1.0

How reproducible:
100%

Steps to Reproduce:
1. Use virsh to create a domain based on the attached vm.xml file
2. Wait until the Open Firmware command prompt opens up
3. You cannot interact with the prompt since there is no virtual keyboard

Actual results:
It is not possible to write anything in the Open Firmware prompt.

Expected results:
There should be a way to interact with the Open Firmware prompt or create a virtual keyboard in the domain XML.

Additional info:
I haven't found a way to create a virtual USB keyboard through the libvirt, instead i used the "qemu:commandline" tag to pass the "-usbdevice keyboard" parameter to QEMU.

--- Additional comment from Jan Tomko on 2014-04-17 13:05:44 IDT ---

This should be fixed upstream by:
commit 78730478aa3e3157b9d86b1054d32f61d6616880
Author:     Li Zhang <zhlcindy@linux.vnet.ibm.com>
CommitDate: 2014-02-19 09:16:31 +0100

    qemu: format qemu command line for USB keyboard
    
    Format qemu command line for USB keyboard
    and add test cases for it.
    
    Signed-off-by: Li Zhang <zhlcindy@linux.vnet.ibm.com>
    Signed-off-by: Ján Tomko <jtomko@redhat.com>

git describe: v1.2.1-244-g7873047 contains: v1.2.2-rc1~48

with the keyboard automatically added on PPC64:
commit cffa51b81d3ad166a7caf3d4ec08d88c41f273fe
Author:     Li Zhang <zhlcindy@linux.vnet.ibm.com>
AuthorDate: 2014-02-17 18:17:58 +0800
Commit:     Ján Tomko <jtomko@redhat.com>
CommitDate: 2014-02-19 09:16:31 +0100

    Add a default USB keyboard and USB mouse for PPC64
    
    There is no keyboard working on PPC64 and PS2 mouse is only for X86
    when graphics are enabled.
    
    Add a USB keyboard and USB mouse for PPC64 when graphics are enabled.
    
    Signed-off-by: Li Zhang <zhlcindy@linux.vnet.ibm.com>
    Signed-off-by: Ján Tomko <jtomko@redhat.com>

git describe: v1.2.1-246-gcffa51b contains: v1.2.2-rc1~46

Comment 1 Michal Skrivanek 2014-08-22 14:26:09 UTC
this bug won't fit into 3.5 release and is being deferred to a later release. If you deeply care about this bug and deserves to be re-evaluated please let me know

Comment 2 Michal Skrivanek 2015-06-05 13:19:33 UTC
still want to consider this "soon"

Comment 6 Red Hat Bugzilla Rules Engine 2015-10-18 08:33:45 UTC
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.

Comment 7 sefi litmanovich 2015-12-10 12:29:12 UTC
Hi Can you please provide with clear steps to reproduce and verify?
I'm not sure what behaviour to look for here.

Comment 8 Martin Polednik 2015-12-10 12:59:36 UTC
This bug is about not adding specific hacks to the XML. If you create VM on VDSM without fix applied, you would see something like

<qemu:commandline>
    <qemu:arg value='-usbdevice'/>
    <qemu:arg value='keyboard'/>
</qemu:commandline>

whereas VDSM with the fix applied will omit this. Can be verified from libvirt via virsh (virsh -r dumpxmpl <domain_name or domain_id>).

Comment 9 sefi litmanovich 2015-12-10 13:18:59 UTC
Verified with rhevm-3.6.1.1-0.1.el6

HOST:
OS Version:
RHEL - 7.2 - 9.el7_2.1
Kernel Version:
3.10.0 - 327.2.1.el7.ppc64le
KVM Version:
2.3.0 - 31.el7_2.4
LIBVIRT Version:
libvirt-1.2.17-13.el7_2.2
VDSM Version:
vdsm-4.17.12-0.el7ev

1. Created a Power guest vm from an existing tempalte.
2. started vm.
3. vm xml doesn't include the mouse/keyboard usb device under the qemu cmdline tag, but does include the expected tags:

    <input type='keyboard' bus='usb'>
      <alias name='input0'/>
    </input>
    <input type='mouse' bus='usb'>
      <alias name='input1'/>
    </input>

Comment 10 Sandro Bonazzola 2015-12-22 13:27:43 UTC
oVirt 3.6.0 has been released and the bz verified, moving to closed current release.


Note You need to log in before you can comment on or make changes to this bug.